# Facilities

## Infodesk

If you have a question about the camp, e.g., where to find what, our job is
to know, or to find out. Follow us on Mastodon or join our Matrix Channel for
Announcements!

### How to contact us

* Infodesk Tent: [At O 13](https://map.events.ccc.de/camp/2023/map/#17.48/53.030177/13.305944/G,M,O) at the main way leading straight away from the entrance after 250m.
* DECT: 1111 (Dial-In-Number: TBD)
* Matrix: [#camp2023-infodesk:events.ccc.de](https://matrix.to/#/#camp2023-infodesk:events.ccc.de)
* IRC: #c3infodesk on hackint.org
* Mastodon: [@c3infodesk@chaos.social](https://chaos.social/@c3infodesk) (requests via the other channels are preferred).

## Security

* DECT: 110
* Email: [c3secu@ccc.de](mailto:c3secu@ccc.de)
* on site

Our security team offers help with all kinds of conflict and cares for your security – tightly collaborating with CERT and Awareness team.<br>
Always there for you with open eyes and ears.

About us:

As usual, the CrewCrew, an all female* group, is taking care of you on site. Just like you, we are trying to create a good and discrimination-free atmosphere, keeping our eyes and ears open.

We work closely together with the CCC's awareness structures. Just like our colleagues, we stand up against sexist, racist, homo/transphobic, antisemitic behavior and any other kind of discrimination. We wish for all of us to interact and collaborate in solidarity.

So in case you encounter or witness any conflicts or issues, please talk to us: We're very much looking forward to supporting you – that's why we're here, so please don't hesitate!

## CERT

* DECT: 112
* CERT Tent: [At T 14, top left](https://map.events.ccc.de/camp/2023/map/#21.54/53.0300345/13.3090962/G,M,O)
* Mastodon: [@c3cert](https://chaos.social/@c3cert) (Please do not use for emergencies)

The CERT (Chaos Emergency Response Team) is a team of professionally trained doctors, nurses, paramedics and diversely trained medics, firefighters and specialists in crisis intervention.

They take care of all emergencies and problems that require medical attention. Whatever sickness or injury you come up with, the CERT is your place to go to. This team also makes sure that fire safety regulations are adhered to and emergency routes are unblocked.

## Awareness

* DECT: 113
* Mastodon: [@c3awareness](https://chaos.social/@c3awareness)
* Email: [team@c3awareness.de](mailto:team@c3awareness.de)

The Awareness team provides a point of contact for people to process
experiences, discrimination, transgressions, emotional stress and
supports them in handling the situation.

* [Principles of CCC events](https://help.ccc.de/principles.en.html)
* [Support at CCC Events](https://help.ccc.de)

## Quiet Place / c3auti

* DECT: 2884
* Email: [support@c3auti.de](mailto:support@c3auti.de)

c3auti organises mutual support, quiet socialising and communication aids. We focus on autistic community members, but are open to all creatures. We also help out with some general accessibility efforts on Camp.

All creatures that love quiet socialising are welcome at our Quiet Place. Our Helpdesk will aid you by providing info, communication aids and social support.

Reach out if you are autistic and want to provide or receive mutual aid.

## Bars
!!! danger "Attention"
    Payment is **in cash only**. Local ATMs will probably be overwhelmed. **Bring enough money!**

See [Bars](drinks.md#bars) and [Crate Sale](drinks.md#crate-sale-and-crate-presale-pickup)

## Lost and Found

## Späti
!!! danger "Attention"
    Payment is **in cash only**. Local ATMs will probably be overwhelmed. **Bring enough money!**

A punk Späti selling snacks, toothbrushes, tobacco, sun screen and everything else you might need

## Parcel Shop

To send or receive Parcels on the campsite talk to [The Border Gateway for Parcels (BGP)](faq.md#parcel-delivery-to-and-from-the-camp).
You can [reach us via email](mailto:camp2023-pakete@cccv.de)

## Heaven

* DECT: 1023
* Email: [ticket@c3heaven.de](mailto:ticket@c3heaven.de)
* Heaven Tent: [At M 11](https://map.events.ccc.de/camp/2023/map/#20.44/53.0310489/13.3043362)
* Mastodon: [@c3himmel](https://chaos.social/@c3himmel) (Only for information, no inbound requests!)

Events of this size are only possible with your help, so please [participate](https://events.ccc.de/camp/2023/infos/participate.html)!

Heaven is the “partner exchange” of the Chaos events. We try to distribute lifeforms who want to help out at our events (”angels”) among the work that is brought to us by other teams. At the same time, we do the best we can to make sure our angels have fun doing what they do and are doing well. We are always available for our angels as contact persons and help them with questions, just as we try to find good and pragmatic solutions for the teams for the work that arises.

## POC
## GSM


## ISDN (and POTS)

We are planning to operate an experimental ISDN and analog telephony network.

The subscriber lines will be terminated using de-commissioned V5_Access_Multiplexers that were donated by telecom operators together with the osmo-v5 protocol stack and osmo-cc.

This network will be provided for people to re-enact the good old telephony days, using anything as old as rotary dial phones, up to the 1990s ISDN experience.

So if you still have your old wired telephones or ISDN equipment in a basement, feel free to bring it along and hook it up.

### How to connect to the network?

#### Types of interfaces

We can offer

* analog POTS ports, exposed as classic 2-wire “ab” interface according to German standards.
* ISDN ports using Uk0 interface, using 4B3T according to German standards

#### What Equipment do I need to bring?

For analog lines, you can connect any analog phone, answering machine, fax, modem, etc. Even rotary phones from Sweden and New Zealand (with their special pulse sequences) will work.

For ISDN lines, you should bring your NTBA/NT1 (to convert Uk0 to S0) and then any ISDN equipment like phones, ISDN adapters, PBXs,&nbsp;… .

If you only have ISDN equipment for S0-bus but no NTBA, we have a few NTBA around that we can lend you, as needed, on a first-come-first-serve basis.

In addition, it is wise to bring sufficient length of telephony wires so you can connect to the closest “Point of Presence”.

#### Where can I connect to the network?

You would need to run some telephony wire (or CAT5, if that's all you have) to one of our “points of presence”, where we will put V5_Access_Multiplexers.

We are planning to deploy those at only a few (2-3) “Datenklo” around the camp site. One of them will be in the vicinity of the PoC tent, the other locations are yet to be determined.

#### What kind of services do you offer?

Our experimental analog + ISDN network will be interconnected with the PoC/eventphone so you should be able to connect not only with other users of the analog/ISDN network, but also the PoC DECT subsribers, as well as the c3gsm GSM subscribers.

There might also be connectivity with the OCTOI network, but we are uncertain if we can achieve that.
How to contact you.

### Contact

[#retronetworking](https://web.libera.chat/#retronetworking) IRC channel on libera.chat or [e-mail](mailto:c3isdn@osmocom.org).


## Network

As usual there will be wired and wireless connectivity available. See [Network](network.md) for more information.

### Wired

see [Network#wired](network.md#wired).

### WiFi

The following wireless networks are provided: 

 * `Camp2023` (Username: camp / Password: camp) ✅ NOC recommended ✅
 * `Camp2023-open` (open, may be insecure)

For more information about configuring your WiFi device securely, see [Network#wireless](network.md#wireless).


## Power
## Membership Desk
