# Network

As usual, [we](https://chaos.social/@c3noc/) will provide a fast wired and wireless network.

## Rules of Conduct

 * Be fair! Do not do to others what you do not wish done to yourself!🌈
 * Protect your computer! Make sure your operating system is up to date and your firewall is enabled before arriving at the camp.
 * If you want to download terabytes of data, you are better off connecting to the wired network.
 * While we are quite able to find and disconnect you in case of network misuse, we prefer not to have to do so. Respect other visitors. Be aware that we cannot prevent law enforcement from acting within or related to our network.👮🚨🚔
 * Do not connect shielded ethernet cables (STP or FTP) to any of our equipment.⚡
 * Do not run your own DHCP server.
 * Do not send IPv6 Router Advertisements.
 * Do not ARP spoof or otherwise impede the operation of the network.
 * If you want to run your own wireless equipment, there are a [few additional rules](#rules-for-wireless-equipment).

## Wired 

There will be wired 100BASE-TX/1000BASE-T/10GBASE-T ethernet on the camping grounds and in the caravan areas, provided by our state-of-the-art [Datenklos](https://de.wikipedia.org/wiki/Datenklo) (DKs or “Data Toilets”). Look for construction toilets with tin foil wrapped around them, or view the [Map.](https://map.events.ccc.de/camp/2023/map/#16.62/53.031366/13.307421/C,E,M,N,O)

**Wired connections are completely unfiltered and will receive a public IP address**. If you have (older) devices that cannot be trusted with unrestricted incoming connections, bring a firewall. 

You can lay your own ethernet cables (we don't provide them), but please do so in a tidy manner. You must not cross any roads, paths or borders between camping grounds. Always lay your cable from the Datenklo towards your tent to keep most of the slack close to your tent, but leave a few metres of slack cable at the Datenklo. 

**We will not connect shielded cables** (with metal plugs) – these can damage equipment due to ground loops.🔌⚡ As a workaround, you can bring a RJ45 coupler (bonus points for plastic version) and a (short) unshielded cable. 

The maximum distance to your nearest Datenklo will be approximately 50 meters, but bringing a longer cable might be handy. If your cable isn't long enough, you might find a nearby neighbour who has a switch to connect to&nbsp;…

Simply leave the end of your cable at the Datenklo and it will be connected by helpers at regular intervals (during reasonable work hours). If you want your cable back, coil it up at the Datenklo or mark it accordingly. It will be disconnected for you to pick up.

Optionally, bring a small ethernet switch when connecting multiple devices. Please disable Spanning-Tree Protocol if you connect a managed switch.

We don't support connections with 10Base-T or fibre/SFP+ in the DKs this time. Sorry.

## Wireless

You can't live without wireless access, so we've built an awesome wireless network again. The following WiFi networks are provided on 2.4 GHz and 5 GHz:

| SSID            | Security               |                      |
| --------------- | ---------------------- | -------------------- |
| `Camp2023`      | WPA2 Enterprise 802.1X | ✅ NOC recommended ✅ |
| `Camp2023-open` | Open (OWE supported)   |                      |

We recommend you use the `Camp2023` network. For the highest security, this requires some configuration, which we've documented here:

* [Linux](network_dot1x_settings.md#linux-etc)
* [Android](network_dot1x_settings.md#android)
* [iOS](network_dot1x_settings.md#apple-ios)
* [MacOS](network_dot1x_settings.md#apple-macos)
* [Windows](network_dot1x_settings.md#windows)

Connecting in this way allows your device to authenticate our wireless infrastructure, preventing your traffic from being intercepted by a malicious access point.

The `Camp2023` network requires a username and password — you can use “camp/camp” or any random username and password, because we don't care who you are, we just want to encrypt your data. There are some [special credentials](#services-vlans) which you can use to modify the firewall behaviour.

The `Camp2023-open` network supports [Opportunistic Wireless Encryption](https://en.wikipedia.org/wiki/Opportunistic_Wireless_Encryption) (OWE) which will automatically provide security comparable to a normal WiFi network with a shared password, _if your device supports OWE_. Otherwise, it will be completely unencrypted.

Keep in mind that wireless security won't protect you from network attacks and you should still be aware that you are at a hacker conference! By default, wireless devices are firewalled from the Internet, but inbound connections from other users on the camp network are still allowed.

### Services VLANs

We have a few special usernames and passwords which you can use when connecting to the `Camp2023` network, which allow you to modify the firewall behaviour:

| Username     | Password     | Comments |
| ------------ | ------------ | -------- |
| camp         | camp         | (Or any random username and password.) Filtered connection with public IP address. Inbound connections from the rest of the campsite are possible, but connections from the Internet are blocked.  |
| outboundonly | outboundonly | Filtered connection with public IP address. Inbound connections from the Internet or campsite are not possible.  |
| allowany     | allowany     | Unfiltered connection with public IP address.  |

We're using WPA2 802.1X to push your client into the correct VLAN. This keeps the number of SSIDs broadcast to a minimum, saving airtime.

### Rules for wireless equipment
Please don't set up your own access point if at all possible. Wireless airtime is a precious commodity at hacker events, and every additional wireless network will transmit 802.11 beacons and management frames, slowing down wireless connectivity for everyone in the area.

If you have no other choice (for running experiments and such), please be nice and follow these rules:

* Do not operate non-WiFi equipment in these frequencies.
* 2.4GHz: use channels 1, 5, 9 or 13 @ 20 MHz. Disable 802.11b.
* 5GHz: use channels 36 or 140 @ 20 MHz.
* Use a _minimum_ data and beacon rate of 12 Mbit/s. Beacon interval 100 ms or higher.
* Limit the number of broadcasted SSIDs per radio to 1 or 2. No SSID spamming is allowed.
* Do not prefix your broadcasted SSID(s) with “Camp”. Do not use other well-known SSIDs.
* Do not use high-gain antennas.
* Limit your transmit power as much as possible, for example to 6 dBm or 4 mW.

## Co-location

There will unfortunately be no co-location service at Camp. You are welcome to host a server in your tent/village and you can get a 10-gigabit copper uplink from one of the nearby datenklos.

## Contact us

Do you have some special requirements not listed above? We can try to help! You can contact us in English via [hello@c3noc.net](mailto:hello@c3noc.net). We might also post some updates on https://chaos.social/@c3noc/ if we have time.

## Supporters

This is a list of organisations providing network hardware and connectivity. We couldn't build the network without them – plus a few unlisted - and we thank them their support. 

| Who |       | For  |
| --- | ----- |  --- |
| ![Logo of babiel](img/supporters/babiel.png)        | <http://www.babiel.com/> | Servers |
| ![Logo of bcix](img/supporters/bcix.png)          | <https://www.bcix.de/> | Peering |
| ![Logo of community-ix](img/supporters/community-ix.png)  | <https://community-ix.de/> | IP Upstream |
| ![Logo of dtag](img/supporters/telekom.png)          | <http://www.telekom.com/> | IP Upstream |
| ![Logo of ediscom](img/supporters/ediscom.png)       | <https://www.ediscom.de/> | Wavelength |
| ![Logo of eventinfra](img/supporters/eventinfra.png)  | <https://eventinfra.org/> | Network equipment loan |
| ![Logo of flexoptix](img/supporters/flexoptix.png) | <https://www.flexoptix.net/> | Network equipment loan |
| ![Logo of i3d](img/supporters/i3d.png) | <https://www.i3d.net/> | Network equipment loan |
| ![Logo of dgties](img/supporters/dgties.png) | <https://www.dgties.team/> | ACD License |
